MrSID Decode SDK for LiDAR Reference Manual 1.1.4.4709

- Main Page
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Protected Member Functions | Protected Attributes | List of all members
PointIterator Class Referenceabstract

PointIterator is the base class for accessing the point cloud. More...

`#include <PointIterator.h>`

Inheritance diagram for PointIterator:
[legend]
Collaboration diagram for PointIterator:
[legend]

## Public Member Functions
virtual size_t | getNextPoints (PointData &points)=0
| Get the next set of points. More...
Public Member Functions inherited from Object
int | retain (void) const
| Increment the reference count by one. More...
int | release (void) const
| Decrement the reference count by one. More...

## Protected Member Functions
void | init (const Bounds &bounds, double fraction, const PointInfo &pointInfo, ProgressDelegate *delegate)
| Initialize the iterator. More...
bool | useSample (double x, double y, double z)
| This method does the bounds and subsample tests. More...
Protected Member Functions inherited from Object
| Object (void)
virtual | ~Object (void)

## Protected Attributes
Bounds | m_bounds
double | m_fraction
double | m_accumulator
double | m_cutoff
ProgressDelegate * | m_delegate

## Detailed Description

The PointIterator class is the base class for accessing the point data in a PointSource. Use PointSource::createIterator() to create a iterator.

See Also
  See examples/src/UserTutorial.cpp for an example of using a PointIterator.

Definition at line 31 of file PointIterator.h.

## Member Function Documentation

virtual size_t PointIterator::getNextPoints | ( | PointData & | points) |  |
| pure virtual

This method gets the next group of points.

Parameters

  points | the destination buffer

Returns
  the number points written in the buffer

void PointIterator::init | ( | const Bounds & | bounds,
|  | double | fraction,
|  | const PointInfo & | pointInfo,
|  | ProgressDelegate * | delegate
| ) |  |
| protected

This method initializes iterator.

Parameters

  bounds | the region of interest (HUGE_VAL are handled)
  fraction | the fraction of the points you want (use 1.0 for all the points and use 0.1 to keep every tenth point)
  pointInfo | the list of channels to be extracted
  delegate | a ProgressDelegate for feedback (can be NULL)

Note
  init() should have the same prototype a PointSource::createIterator()

bool PointIterator::useSample | ( | double | x,
|  | double | y,
|  | double | z
| ) |  |
| inline protected

Definition at line 68 of file PointIterator.h.

References m_accumulator, m_bounds, m_cutoff, and m_fraction.

## Member Data Documentation

double PointIterator::m_accumulator
| protected

Definition at line 87 of file PointIterator.h.

Referenced by useSample().

Bounds PointIterator::m_bounds
| protected

Definition at line 85 of file PointIterator.h.

Referenced by useSample().

double PointIterator::m_cutoff
| protected

Definition at line 88 of file PointIterator.h.

Referenced by useSample().

ProgressDelegate* PointIterator::m_delegate
| protected

Definition at line 89 of file PointIterator.h.

double PointIterator::m_fraction
| protected

Definition at line 86 of file PointIterator.h.

Referenced by useSample().

The documentation for this class was generated from the following file:

- PointIterator.h

LizardTech